pam_pkcs11 0.6.8

- Main Page
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

Data Fields
mapfile Struct Reference

This struct is used in processing map files a map file is a list of "key" " -> " "value" text lines. More...

`#include <mapper.h>`

## Data Fields

const char * | uri
| URL of mapfile.
char * | buffer
| buffer to content of mapfile
size_t | length
| lenght of buffer
char * | pt
| pointer to last readed entry in buffer
char * | key
| key entry in current buffer
char * | value
| value assigned to key

## Detailed Description

This struct is used in processing map files a map file is a list of "key" " -> " "value" text lines.

Definition at line 63 of file mapper.h.

## Field Documentation

char* buffer

buffer to content of mapfile

Definition at line 67 of file mapper.h.

char* key

key entry in current buffer

Definition at line 73 of file mapper.h.

size_t length

lenght of buffer

Definition at line 69 of file mapper.h.

char* pt

pointer to last readed entry in buffer

Definition at line 71 of file mapper.h.

const char* uri

URL of mapfile.

Definition at line 65 of file mapper.h.

char* value

value assigned to key

Definition at line 75 of file mapper.h.

The documentation for this struct was generated from the following file:

- mapper.h